> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Daily Prices

> Returns daily historical price and volume data for a given symbol. Supports
stocks, ETFs, indexes, cryptocurrencies, commodities (continuous futures) and forex pairs. Each
data point includes date, open, high, low, close, volume, change, change percentage,
and volume-weighted average price (VWAP). Ideal for tracking daily market performance
and conducting technical analysis over extended periods.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/price/daily/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/price/daily/query:
    post:
      tags:
        - Market Data
      summary: Daily Prices
      description: >-
        Returns daily historical price and volume data for a given symbol.
        Supports

        stocks, ETFs, indexes, cryptocurrencies, commodities (continuous
        futures) and forex pairs. Each

        data point includes date, open, high, low, close, volume, change, change
        percentage,

        and volume-weighted average price (VWAP). Ideal for tracking daily
        market performance

        and conducting technical analysis over extended periods.
      operationId: query_daily_prices_v1_price_daily_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DailyPricesQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DailyPricesResponse'
components:
  schemas:
    DailyPricesQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/Identifier'
          description: >-
            Object specifying which identifier you are using to request the
            daily price. You must supply one type and its corresponding value.
            Only one identifier should be provided per request.
          examples:
            - type: rp_entity_id
              value: 4A6F00
        date_range:
          anyOf:
            - $ref: '#/components/schemas/QueryDateRange'
            - type: 'null'
          description: >-
            The date range for retrieving daily prices. All dates must be
            provided in the local time zone of the security exchange, and all
            results are returned in that same local exchange time. The expected
            date format is 'YYYY-MM-DD', for example, '2025-09-02'.
          examples:
            - end: '2023-09-05'
              start: '2023-09-01'
      type: object
      required:
        - identifier
        - date_range
      title: DailyPricesQuery
    DailyPricesResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/DailyPricesResults'
          type: array
          title: Results
          description: The main data result
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: DailyPricesResponse
      description: Company Daily Prices response model.
    Identifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            The identifier namespace. Currently only `rp_entity_id` is
            supported.
          default: rp_entity_id
          examples:
            - rp_entity_id
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: Identifier
    QueryDateRange:
      properties:
        start:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Start
          description: >-
            The start date of the time range for retrieving daily prices. Only
            prices occurring on or after this date will be included. The
            expected date format is 'YYYY-MM-DD', for example, '2025-09-02'
          examples:
            - '2025-01-01'
        end:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: End
          description: >-
            The end date of the time range for retrieving daily prices. Only
            prices occurring on or before this date will be included. The
            expected date format is 'YYYY-MM-DD', for example, '2025-09-03'.
          examples:
            - '2025-01-20'
      type: object
      title: QueryDateRange
    DailyPricesResults:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rp Entity Id
          description: RavenPack internal entity identifier.
          examples:
            - 4A6F00
            - D8442A
        target_identifier_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Identifier Id
          description: The target identifier provided in the request, e.g., stock symbol.
          examples:
            - AAPL
            - MSFT
        fields:
          items:
            type: string
          type: array
          title: Fields
          description: Column names for the data values
          examples:
            - - DATE
              - OPEN
              - LOW
              - HIGH
              - CLOSE
              - VOLUME
              - CHANGE
              - CHANGE_PERCENT
              - VWAP
              - CURRENCY
        values:
          items:
            $ref: '#/components/schemas/DailyPricesValue'
          type: array
          title: Values
          description: Daily Prices records
          examples:
            - - '2025-09-22'
              - 254.43
              - 250.3
              - 255.78
              - 252.53
              - 32255300
              - -1.9
              - -0.74677
              - 253.26
              - USD
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
        - fields
        - values
      title: DailyPricesResults
      description: Prices for an entity id.
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
    DailyPricesValue:
      prefixItems:
        - type: string
          format: date
        - type: number
        - type: number
        - type: number
        - type: number
        - type: integer
        - type: number
        - type: number
        - type: number
        - anyOf:
            - type: string
            - type: 'null'
      type: array
      maxItems: 10
      minItems: 10
      title: DailyPricesValue
      description: Represents one row of values as a tuple (or list).
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````